import Vue from 'vue'

import '@/assets/css/reset.css'
import '@/assets/css/transition.css'

import '@/plugins/Filters/index'

import '@/plugins/Directive/index'

import Swiper from 'swiper/dist/js/swiper.js'
import 'swiper/dist/css/swiper.css'
Vue.prototype.$swiper = Swiper

import Layer from '@/plugins/Layer/index'
import '@/plugins/Layer/style.css'
Vue.prototype.$layer = Layer

const Bus = {
	install: (Vue) => {
	  Vue.prototype.$Bus = new Vue()
	}
}
Vue.use(Bus)

if(process.client){
  const Cookie = require('js-cookie')
  Vue.prototype.$cookie = Cookie;
  require('@/plugins/deviceId')

  const PhotoSwipe = require('vue-photoswipe.js')
  require('vue-photoswipe.js/dist/static/css/photoswipe.css')
  Vue.use(PhotoSwipe.default,{wechat: window.wx, pswpOptions: {showShare: false,showClose: true,showFullscreen: false,showZoom: false}});
}